Attention is currently required from: pespin.
laforge has posted comments on this change by pespin. ( https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/39824?usp=email )
Change subject: asterisk: Rework test TC_ims_call_mo_after_tcp_conn_closed with new expectancies
......................................................................
Patch Set 1: Code-Review+1
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/39824?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: comment
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: I7ec1e8e30c4d72be96c8e300e0d038e63ba0e600
Gerrit-Change-Number: 39824
Gerrit-PatchSet: 1
Gerrit-Owner: pespin <pespin(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: jolly <andreas(a)eversberg.eu>
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Attention: pespin <pespin(a)sysmocom.de>
Gerrit-Comment-Date: Wed, 19 Mar 2025 10:43:23 +0000
Gerrit-HasComments: No
Gerrit-Has-Labels: Yes
Attention is currently required from: pespin.
jolly has posted comments on this change by pespin. ( https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/39824?usp=email )
Change subject: asterisk: Rework test TC_ims_call_mo_after_tcp_conn_closed with new expectancies
......................................................................
Patch Set 1: Code-Review+2
(1 comment)
Patchset:
PS1:
Verified that it working as expected.
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/39824?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: comment
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: I7ec1e8e30c4d72be96c8e300e0d038e63ba0e600
Gerrit-Change-Number: 39824
Gerrit-PatchSet: 1
Gerrit-Owner: pespin <pespin(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: jolly <andreas(a)eversberg.eu>
Gerrit-Attention: pespin <pespin(a)sysmocom.de>
Gerrit-Comment-Date: Wed, 19 Mar 2025 09:28:54 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: Yes
osmith has submitted this change. ( https://gerrit.osmocom.org/c/osmo-dev/+/39818?usp=email )
Change subject: src/_update_src_copy: move functions to top
......................................................................
src/_update_src_copy: move functions to top
Prepare to add a new function in the next patch that gets called early.
Change-Id: I9a2b346e8e6d9a33aa4fc55add6bb9124ea2d3ed
---
M src/_update_src_copy.sh
1 file changed, 14 insertions(+), 14 deletions(-)
Approvals:
pespin: Looks good to me, but someone else must approve
osmith: Verified
fixeria: Looks good to me, approved
diff --git a/src/_update_src_copy.sh b/src/_update_src_copy.sh
index d80b5fa..a0ea533 100644
--- a/src/_update_src_copy.sh
+++ b/src/_update_src_copy.sh
@@ -2,20 +2,6 @@
# Update the src_copy dir with all relevant files from the original git
# repository (+ submodules). Used by gen_makefile.py --autoreconf-in-src-copy.
-MAKE_DIR="$PWD"
-SRC_DIR="$1"
-PROJ="$2"
-TIME_START="$3"
-MARKER="$MAKE_DIR/.make.$PROJ.src_copy"
-
-# Don't run more than once per "make" call
-if [ "$(cat "$MARKER" 2>/dev/null)" = "$TIME_START" ]; then
- exit 0
-fi
-
-DEST_DIR_PROJ="$MAKE_DIR/src_copy/$PROJ"
-COPY_LIST="$(mktemp --suffix=-osmo-dev-rsync-copylist)"
-
update_git_dir() {
local src="$1"
local dest="$DEST_DIR_PROJ/$(echo "$src" | cut -c 3-)" # cut: remove './'
@@ -75,6 +61,20 @@
done
}
+MAKE_DIR="$PWD"
+SRC_DIR="$1"
+PROJ="$2"
+TIME_START="$3"
+MARKER="$MAKE_DIR/.make.$PROJ.src_copy"
+
+# Don't run more than once per "make" call
+if [ "$(cat "$MARKER" 2>/dev/null)" = "$TIME_START" ]; then
+ exit 0
+fi
+
+DEST_DIR_PROJ="$MAKE_DIR/src_copy/$PROJ"
+COPY_LIST="$(mktemp --suffix=-osmo-dev-rsync-copylist)"
+
cd "$SRC_DIR/$PROJ"
update_git_dirs_all
rm "$COPY_LIST"
--
To view, visit https://gerrit.osmocom.org/c/osmo-dev/+/39818?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: merged
Gerrit-Project: osmo-dev
Gerrit-Branch: master
Gerrit-Change-Id: I9a2b346e8e6d9a33aa4fc55add6bb9124ea2d3ed
Gerrit-Change-Number: 39818
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
osmith has submitted this change. ( https://gerrit.osmocom.org/c/osmo-dev/+/39819?usp=email )
Change subject: src/_update_src_copy: handle symlink projects
......................................................................
src/_update_src_copy: handle symlink projects
Handle projects that are symlinks to paths in other git repositories,
such as osmocom-bb_layer23 -> osmocom-bb/src/host/layer23.
Fix for:
_update_read_only_src_copy: find failed
Change-Id: Icfe701b8a237385597718374be50a8b81c6ac433
---
M src/_update_src_copy.sh
1 file changed, 41 insertions(+), 0 deletions(-)
Approvals:
fixeria: Looks good to me, approved
pespin: Looks good to me, but someone else must approve
osmith: Verified
diff --git a/src/_update_src_copy.sh b/src/_update_src_copy.sh
index a0ea533..f13a357 100644
--- a/src/_update_src_copy.sh
+++ b/src/_update_src_copy.sh
@@ -61,6 +61,45 @@
done
}
+# Some project are symlinks to a path in another git repository (for example
+# osmocom-bb_layer23 -> osmocom-bb/src/host/layer23). For those we need to
+# add such a symlink to the src_copy dir and then run _update_src_copy.sh on
+# the main project (osmocom-bb in the example).
+handle_symlink_proj() {
+ local linkdest
+ local git_topdir
+ local proj_main
+ local relpath
+
+ if ! [ -L "$SRC_DIR/$PROJ" ]; then
+ return
+ fi
+
+ linkdest="$(realpath "$SRC_DIR/$PROJ")"
+ git_topdir="$(cd "$linkdest" && git rev-parse --show-toplevel)"
+
+ if [ -z "$git_topdir" ]; then
+ "_update_src_copy: getting git topdir failed: $linkdest"
+ exit 1
+ fi
+
+ proj_main="$(basename "$git_topdir")"
+
+ # Create the symlink in src_copy
+ if ! [ -L "$DEST_DIR_PROJ" ]; then
+ relpath="$(realpath -s --relative-to="$git_topdir" "$linkdest")"
+ if [ -z "$relpath" ]; then
+ "_update_src_copy: getting relpath failed: $linkdest"
+ exit 1
+ fi
+ ln -s "$proj_main/$relpath" "$DEST_DIR_PROJ"
+ fi
+
+ # Copy the original project files to src_copy
+ exec sh -e "$0" "$SRC_DIR" "$proj_main" "$TIME_START"
+ # Not continuing below (exec)
+}
+
MAKE_DIR="$PWD"
SRC_DIR="$1"
PROJ="$2"
@@ -73,6 +112,8 @@
fi
DEST_DIR_PROJ="$MAKE_DIR/src_copy/$PROJ"
+handle_symlink_proj
+
COPY_LIST="$(mktemp --suffix=-osmo-dev-rsync-copylist)"
cd "$SRC_DIR/$PROJ"
--
To view, visit https://gerrit.osmocom.org/c/osmo-dev/+/39819?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: merged
Gerrit-Project: osmo-dev
Gerrit-Branch: master
Gerrit-Change-Id: Icfe701b8a237385597718374be50a8b81c6ac433
Gerrit-Change-Number: 39819
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
osmith has submitted this change. ( https://gerrit.osmocom.org/c/osmo-dev/+/39820?usp=email )
Change subject: all.urls: add osmo-gsm-shark
......................................................................
all.urls: add osmo-gsm-shark
Let osmo-dev use the proper clone url for osmo-gsm-shark, so cloning and
building it via "make all" works as expected.
Change-Id: If4e17fac28ebae9a3e937242e3e1a40893496a4d
---
M all.urls
1 file changed, 1 insertion(+), 0 deletions(-)
Approvals:
osmith: Verified
fixeria: Looks good to me, approved
pespin: Looks good to me, but someone else must approve
diff --git a/all.urls b/all.urls
index 60b653d..ef1b0ab 100644
--- a/all.urls
+++ b/all.urls
@@ -4,3 +4,4 @@
nftables https://git.netfilter.org/nftables/
open5gs https://github.com/open5gs/open5gs
strongswan-epdg https://gitea.osmocom.org/ims-volte-vowifi/strongswan-epdg
+osmo-gsm-shark https://gitea.osmocom.org/nhofmeyr/osmo-gsm-shark
--
To view, visit https://gerrit.osmocom.org/c/osmo-dev/+/39820?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: merged
Gerrit-Project: osmo-dev
Gerrit-Branch: master
Gerrit-Change-Id: If4e17fac28ebae9a3e937242e3e1a40893496a4d
Gerrit-Change-Number: 39820
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
osmith has posted comments on this change by osmith. ( https://gerrit.osmocom.org/c/osmo-dev/+/39818?usp=email )
Change subject: src/_update_src_copy: move functions to top
......................................................................
Patch Set 1: Verified+1
--
To view, visit https://gerrit.osmocom.org/c/osmo-dev/+/39818?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: comment
Gerrit-Project: osmo-dev
Gerrit-Branch: master
Gerrit-Change-Id: I9a2b346e8e6d9a33aa4fc55add6bb9124ea2d3ed
Gerrit-Change-Number: 39818
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
Gerrit-Comment-Date: Wed, 19 Mar 2025 08:49:44 +0000
Gerrit-HasComments: No
Gerrit-Has-Labels: Yes
kirr has posted comments on this change by pespin. ( https://gerrit.osmocom.org/c/osmocom-bb/+/39815?usp=email )
Change subject: fake_trx: Allow setting sched RR priority for clckgen thread
......................................................................
Patch Set 3:
(1 comment)
Patchset:
PS3:
> Yes, but I preferred having full control over each thread priority. […]
Thanks for feedback. For the reference there is also `taskset`, but I let you handle it in a way it is more convenient for the project.
--
To view, visit https://gerrit.osmocom.org/c/osmocom-bb/+/39815?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: comment
Gerrit-Project: osmocom-bb
Gerrit-Branch: master
Gerrit-Change-Id: I3c7f36c17fc7b9cae1023b4a0ed37f983dc286dc
Gerrit-Change-Number: 39815
Gerrit-PatchSet: 3
Gerrit-Owner: pespin <pespin(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: daniel <dwillmann(a)sysmocom.de>
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: kirr <kirr(a)nexedi.com>
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
Gerrit-Comment-Date: Wed, 19 Mar 2025 06:58:20 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Comment-In-Reply-To: kirr <kirr(a)nexedi.com>
Comment-In-Reply-To: pespin <pespin(a)sysmocom.de>